// -*- c++ -*-

//////////////////////////////////////////////////
// (c) MMIII Sven Reichard
// 

# ifndef ProofNumberNodeTest_h
# define ProofNumberNodeTest_h
# include <cppunit/extensions/HelperMacros.h>
# include <ProofNumberNode.h>
class ProofNumberNodeTest
  : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( ProofNumberNodeTest );
  CPPUNIT_TEST( constructor );
  CPPUNIT_TEST( testExpand );
  CPPUNIT_TEST( testSetProven );
  CPPUNIT_TEST( testChildToExpand );
  CPPUNIT_TEST( testDepth );
  CPPUNIT_TEST_SUITE_END();
protected:
  void constructor();
  void testExpand();
  void testSetProven();
  void testChildToExpand();
  void testDepth();
};
# endif // ProofNumberNodeTest_h
